apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ curator_name }}
  namespace: {{ namespace }}
data:
  action_file.yml: |
    ---
    actions:
      1:
        action: delete_indices
        description: "Purges older indices from ElasticSearch"
        options:
          timeout_override:
          continue_if_exception: False
          disable_action: False
          ignore_empty_list: True
        filters:
        - filtertype: age
          source: name
          direction: older
          timestring: '%Y.%m.%d'
          unit: {{ curator_retention_unit }}
          unit_count: {{ curator_retention_count }}
          field:
          stats_result:
          epoch:
          exclude: False
  config.yml: |
    ---
    client:
      hosts:
      - {{ elasticsearch_name }}-client.{{ namespace }}.svc.{{ cluster_domain }}
      port: 9200
      url_prefix:
      use_ssl: False
      certificate:
      client_cert:
      client_key:
      ssl_no_validate: False
      http_auth:
      timeout: 30
      master_only: False
    logging:
      loglevel: INFO
      logfile:
      logformat: default
      blacklist: ['elasticsearch', 'urllib3']
